Show / Hide Table of Contents

# Class PlayerCharacter

This class represents a player character.

##### Inheritance

System.Object
Actor
Chara
PlayerCharacter

##### Inherited Members

Chara.Level
Chara.ClassJob
Chara.CurrentHp
Chara.MaxHp
Chara.CurrentMp
Chara.MaxMp
Actor.actorStruct
Actor.Position
Actor.Name
Actor.ActorId
Actor.ObjectKind
System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Dalamud.Game.ClientState.Actors.Types

###### Assembly: Dalamud.dll

##### Syntax

    public class PlayerCharacter : Chara

### Constructors

| Improve this Doc View Source

#### PlayerCharacter(Actor)

Set up a new player character with the provided memory representation.

##### Declaration

    public PlayerCharacter(Actor actorStruct)

##### Parameters

Type | Name | Description
--- | --- | ---
Actor | actorStruct | The memory representation of the base actor.

### Properties

| Improve this Doc View Source

#### CurrentWorld

The current World of the character.

##### Declaration

    public World CurrentWorld { get; }

##### Property Value

Type | Description
--- | ---
World |

| Improve this Doc View Source

#### HomeWorld

The home World of the character.

##### Declaration

    public World HomeWorld { get; }

##### Property Value

Type | Description
--- | ---
World |